.popup_wrap {
    position: absolute;
    z-index: 9999;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 5px;
    margin: 20px;
    pointer-events: none;
}

.layer_ad {
    padding: 5px;
    background-color: white;
    border: 1px solid #dadada;
    pointer-events: auto;
    max-width: 358px;
    width: 100%;
}
.layer_ad .img {}
.layer_ad .img a {
    display: block;
}
.layer_ad .img a > img {
    width: 100%;
    max-width: 100%;
    height: auto;
}

.layer_ad .close {
    width: 100%;
    text-align: right;
    padding-top: 3px;
}
.layer_ad .close {
    margin: 0 auto;
    text-align: right;
    line-height: 32px;
    background-color: white;
}

.layer_ad .close button {
    width: 42px;
    height: 23px;
    overflow: hidden;
    text-indent: -5000em;
    border: none;
}

.layer_ad .close a {
    display: inline-block;
    width: 42px;
    height: 23px;
    line-height: 23px;
    background: #9f9f9f;
    text-align: center;
    color: #fff;
    vertical-align: middle;
    margin-left: 10px;
}
@media (max-width: 900px) {
    .popup_wrap{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .popup_wrap {
        width: 100%; 
        max-width: 100%; 
        left: 0; 
        transform: none;
        grid-template-columns: 1fr; 
        margin: 0; 
        padding: 20px;
        justify-items: center;
        box-sizing: border-box;
    }
}